Package com.io7m.cardant.server.service.telemetry.api

# Interface CAMetricsServiceType

All Superinterfaces:
  `AutoCloseable`, `com.io7m.repetoir.core.RPServiceType`

All Known Implementing Classes:
  `CAMetricsService`

public interface CAMetricsServiceType extends AutoCloseable, com.io7m.repetoir.core.RPServiceType
The interface exposed by the metrics service.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onHttp2xx()`
  An HTTP request resulted in a 2xx success.
  `void`
  `onHttp4xx()`
  An HTTP request resulted in a 4xx error.
  `void`
  `onHttp5xx()`
  An HTTP request resulted in a 5xx error.
  `void`
  `onHttpRequested()`
  An HTTP request was received.
  `void`
  `onHttpRequestSize(long size)`
  An HTTP request was received of a given size.
  `void`
  `onHttpResponseSize(long size)`
  An HTTP response was produced of a given size.
  `void`
  `onHttpResponseTime(Duration time)`
  An HTTP response was produced in the given time.
  `void`
  `onLogin(long sizeNow)`
  A login session was created.
  `void`
  `onLoginClosed(long sizeNow)`
  A login session was closed.

  ### Methods inherited from interface java.lang.AutoCloseable

  `close`

  ### Methods inherited from interface com.io7m.repetoir.core.RPServiceType

  `description`

- ## Method Details

  - ### onHttpRequested

    void onHttpRequested()
    An HTTP request was received.

  - ### onHttp5xx

    void onHttp5xx()
    An HTTP request resulted in a 5xx error.

  - ### onHttp2xx

    void onHttp2xx()
    An HTTP request resulted in a 2xx success.

  - ### onHttp4xx

    void onHttp4xx()
    An HTTP request resulted in a 4xx error.

  - ### onHttpRequestSize

    void onHttpRequestSize(long size)
    An HTTP request was received of a given size.
    Parameters:
      `size` - The size

  - ### onHttpResponseSize

    void onHttpResponseSize(long size)
    An HTTP response was produced of a given size.
    Parameters:
      `size` - The size

  - ### onHttpResponseTime

    void onHttpResponseTime(Duration time)
    An HTTP response was produced in the given time.
    Parameters:
      `time` - The time

  - ### onLogin

    void onLogin(long sizeNow)
    A login session was created.
    Parameters:
      `sizeNow` - The number of active sessions now

  - ### onLoginClosed

    void onLoginClosed(long sizeNow)
    A login session was closed.
    Parameters:
      `sizeNow` - The number of active sessions now